> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transit Times

> Get Transit Times



## OpenAPI

````yaml /openapi/openapi_shipping_storefront.json post /commerce/catalog/storefront/shipping/transit-times
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo ShippingRuntime Service
  title: Shipping Storefront
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/storefront/shipping/transit-times:
    post:
      tags:
        - Shipping
      summary: Get Transit Times
      description: Get Transit Times
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransitTimesRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransitTimesResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/TransitTimesResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/TransitTimesResponse'
          description: OK
components:
  schemas:
    TransitTimesRequest:
      properties:
        data:
          description: Custom data for the request
          nullable: true
          type: object
        destinationAddress:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        fulfillmentMethod:
          nullable: true
          type: string
        items:
          items:
            $ref: '#/components/schemas/TransitTimesItem'
          nullable: true
          type: array
        originAddress:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        originLocationCode:
          nullable: true
          type: string
        shipDate:
          format: date-time
          type: string
        shippingServiceTypes:
          items:
            type: string
          nullable: true
          type: array
      type: object
    TransitTimesResponse:
      properties:
        data:
          nullable: true
          type: object
        destinationAddress:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        items:
          items:
            $ref: '#/components/schemas/TransitTimesItem'
          nullable: true
          type: array
        originLocationCode:
          nullable: true
          type: string
        shipDate:
          format: date-time
          type: string
        transitTimes:
          items:
            $ref: '#/components/schemas/CarrierTransitTimes'
          nullable: true
          type: array
      type: object
    CommerceRuntimeAddress:
      properties:
        address1:
          nullable: true
          type: string
        address2:
          nullable: true
          type: string
        address3:
          nullable: true
          type: string
        address4:
          nullable: true
          type: string
        addressType:
          nullable: true
          type: string
        cityOrTown:
          nullable: true
          type: string
        countryCode:
          nullable: true
          type: string
        isValidated:
          nullable: true
          type: boolean
        postalOrZipCode:
          nullable: true
          type: string
        stateOrProvince:
          nullable: true
          type: string
      type: object
    TransitTimesItem:
      properties:
        data:
          nullable: true
          type: object
        itemId:
          nullable: true
          type: string
        productCode:
          nullable: true
          type: string
        quantity:
          format: int32
          nullable: true
          type: integer
        unitMeasurements:
          $ref: '#/components/schemas/ItemMeasurements'
      type: object
    CarrierTransitTimes:
      properties:
        carrierId:
          nullable: true
          type: string
        estimatedDeliveryDates:
          items:
            $ref: '#/components/schemas/ShippingRuntimeEstimatedDeliveryDate'
          nullable: true
          type: array
        itemIds:
          items:
            type: string
          nullable: true
          type: array
      type: object
    ItemMeasurements:
      properties:
        girth:
          description: Not exposed publicly
          format: double
          nullable: true
          type: number
        height:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        length:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        weight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        width:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
      type: object
    ShippingRuntimeEstimatedDeliveryDate:
      properties:
        data:
          nullable: true
          type: object
        deliveryDate:
          nullable: true
          type: string
        fulfillmentMethod:
          nullable: true
          type: string
        messages:
          items:
            $ref: '#/components/schemas/ShippingRateValidationMessage'
          nullable: true
          type: array
        serviceType:
          nullable: true
          type: string
        windows:
          items:
            $ref: '#/components/schemas/ShippingRuntimeDeliveryWindow'
          nullable: true
          type: array
      type: object
    CommerceRuntimeMeasurement:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: double
          nullable: true
          type: number
      type: object
    ShippingRateValidationMessage:
      description: Shipping Rate Validation Message
      properties:
        helpLink:
          description: Help Link
          nullable: true
          type: string
        message:
          description: Message
          nullable: true
          type: string
        severity:
          description: Severity
          nullable: true
          type: string
      type: object
    ShippingRuntimeDeliveryWindow:
      properties:
        dropoffTime:
          $ref: '#/components/schemas/TimeWindow'
        pickupTime:
          $ref: '#/components/schemas/TimeWindow'
      type: object
    TimeWindow:
      description: Represents a time window with a start and end time.
      properties:
        endsAt:
          description: Gets or sets the end time of the time window.
          format: date-time
          nullable: true
          type: string
        startsAt:
          description: Gets or sets the start time of the time window.
          format: date-time
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````